Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.stack
Class InformPdu

    java.lang.Object
      |
      +--java.util.Observable
            |
            +--uk.co.westhawk.snmp.stack.Pdu
                  |
                  +--uk.co.westhawk.snmp.stack.InformPdu

Direct Known Subclasses:
  InformPdu_vec, OneInformPdu

public abstract class InformPdu
extends Pdu

This class represents the SNMP Inform Request Pdu.

Note this PDU should be send to port 162 (the default trap port) by default. You will have to create a SnmpContext with the DefaultTrapContext.DEFAULT_TRAP_PORT as parameter!

Note: The stack so far only supports sending an Inform. Receiving an Inform and replying with a Response is NOT yet supported!

Since:
  4_12
Version:
  $Revision: 3.1 $ $Date: 2002/10/10 10:24:14 $
Author:
  Birgit Arkesteijn
See Also:
  `DefaultTrapContext.DEFAULT_TRAP_PORT`

Fields inherited from class uk.co.westhawk.snmp.stack.Pdu
`added, answered, context, encodedPacket, errind, errstat, msg_type, reqVarbinds, respVarbinds`

Constructor Summary
`InformPdu(SnmpContextBasisFace con)` Constructor.

Methods inherited from class uk.co.westhawk.snmp.stack.Pdu
`addOid, addOid, addOid, addOid, addOid, addToTrans, getContext, getErrorIndex, getErrorStatus, getErrorStatusString, getMsgType, getReqId, getRequestVarbinds, getResponseVarbinds, isTimedOut, new_value, notifyObservers, send, send, send, sendme, setErrorIndex, setErrorStatus, setErrorStatus, setMsgType, setRetryIntervals, tell_them, toString, toString, waitForSelf`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InformPdu

    public InformPdu(SnmpContextBasisFace con)

  Constructor.
  Parameters:
    `con` - The context of the Pdu

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD